Download export file
curl --request GET \
--url https://matcher.sandbox.lerian.net/v1/export-jobs/{jobId}/download \
--header 'Authorization: Bearer <token>'import requests
url = "https://matcher.sandbox.lerian.net/v1/export-jobs/{jobId}/download"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://matcher.sandbox.lerian.net/v1/export-jobs/{jobId}/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"downloadUrl": "https://storage.example.com/exports/report.csv?token=abc",
"fileName": "matched_report.csv",
"sha256": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
"expiresIn": 3600
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0004",
"title": "Forbidden",
"message": "You do not have the necessary permissions to perform this action. Please contact your administrator if you believe this is an error."
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0703",
"title": "Service Unavailable",
"message": "The storage service is currently unavailable. Please try again later."
}Download export file
Use this endpoint to download the export file. The response includes a presigned URL for downloading the file.
GET
/
v1
/
export-jobs
/
{jobId}
/
download
Download export file
Authorizations
Bearer token authentication (format: "Bearer {token}")
Headers
A unique identifier for tracing the request across services.
Path Parameters
Export Job ID
Response
Export download details
Presigned download URL and metadata for an export job file
Presigned URL to download the export file
Example:
"https://storage.example.com/exports/report.csv?token=abc"
Original file name of the export
Example:
"matched_report.csv"
SHA-256 checksum of the file for integrity verification
Example:
"e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855"
Duration in seconds until the download URL expires
Example:
3600
Was this page helpful?
⌘I

